## openvswitch 2.12.0

=== debian/changelog ===
openvswitch (2.12.0-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 13 Sep 2019 15:02:56 +0100

openvswitch (2.12.0~git20190903.1cdf291dc-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot from 2.12 branch.
  * d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch: Drop,
    included upstream.
  * d/control: Bumped Standards-Version to 4.4.0.
  * d/control,rules: Drop Python 2 support.
  * d/rules: Disable testing of DPDK build on arm64 as builders don't
    have the required crc32 CPU feature.
  * d/control: Version BD for libdpdk-dev to ensure buid without overlinking.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Sep 2019 09:46:28 +0100

openvswitch (2.11.1-0ubuntu1) eoan; urgency=medium

  * New upstream point release (LP: #1836709):
    - d/p/*: Refresh.
  * d/openvswitch-switch.{install,service,ovsdb-server.service},d/ovs-
    systemd-reload: Optimize reload of openvswitch-switch to minimize
    networking downtime (LP: #1823282).
  * d/openvswitch-switch.{ovs-vswitchd,ovsdb-server}.service: Drop
    default dependencies and correct network.service ->
    networking.service, add After: dpdk.service (LP: #1813371).
  * d/openvswitch-switch{-dpdk}.prerm,postinst: Tidy with case statements,
    only remove alternatives when package is being removed (LP: #1836713).
  * d/rules: Refresh TEST_LIST for observed errors for new point release.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jul 2019 11:19:41 +0100
