## openvswitch 2.12.1

=== debian/changelog ===
openvswitch (2.12.1-0ubuntu0.19.10.1~cloud1) bionic; urgency=medium

  * d/openvswitch-switch.ovs*.service: Update ovs-vswitchd and ovsdb-server
    systemd unit files to use the correct environment file and environment
    variable for ovs-ctl options, /etc/default/openvswitch-switch and
    OVS_CTL_OPTS, respectively (LP: #1906280).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Dec 2020 15:21:48 -0500

openvswitch (2.12.1-0ubuntu0.19.10.1~cloud0) bionic; urgency=medium

  * New upstream point release (LP: #1899455):
    - d/p/tc-handle-packet-mark-of-zero.patch: Drop, included in
      release.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Oct 2020 11:48:39 +0100

openvswitch (2.12.0-0ubuntu1.1) eoan; urgency=medium

  * d/p/tc-handle-packet-mark-of-zero.patch: Cherry pick OpenStack
    related fix to ensure that tunnel rules with an skb mark of 0 will
    be correctly offloaded (LP: #1853592).

 -- James Page <james.page@ubuntu.com>  Fri, 07 Feb 2020 12:15:53 +0000
