## openvswitch 2.13.0

=== debian/changelog ===
openvswitch (2.13.0-0ubuntu1) focal; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Feb 2020 12:04:03 +0000

openvswitch (2.13.0~git20200212.15ae9db33-0ubuntu2) focal; urgency=medium

  * d/control,openvswitch-{switch.common}.install: Move ovsdb-tool to
    common package (LP: #1863711).

 -- James Page <james.page@ubuntu.com>  Wed, 19 Feb 2020 16:38:36 +0000

openvswitch (2.13.0~git20200212.15ae9db33-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
  * d/p/tc-handle-packet-mark-of-zero.patch: Drop, included in snapshot.
  * d/control,openvswitch-{switch,common}.install: Move ovsdb-server binary
    and manpage from -switch to -common package to avoid using
    openvswitch-switch package from ovn packages.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Feb 2020 12:08:03 +0000

openvswitch (2.13.0~git20200127.dbdf66c29-0ubuntu2) focal; urgency=medium

  * Restore changes from 2.12.90~git20200107.af683565b-0ubuntu3 accidentally
    lost in previous upload.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2020 11:25:24 +0000

openvswitch (2.13.0~git20200127.dbdf66c29-0ubuntu1) focal; urgency=medium

  * New upstream snapshot from 2.13 release branch.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2020 10:43:39 +0000

openvswitch (2.12.90~git20200107.af683565b-0ubuntu3) focal; urgency=medium

  * Use python2 in the autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2020 14:14:33 +0100

openvswitch (2.12.90~git20200107.af683565b-0ubuntu2) focal; urgency=medium

  * d/p/tc-handle-packet-mark-of-zero.patch: Cherry pick OpenStack
    related fix to ensure that tunnel rules with an skb mark of 0 will
    be offloaded.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2020 14:17:31 +0000

openvswitch (2.12.90~git20200107.af683565b-0ubuntu1) focal; urgency=medium

  * New upstream snapshot from master branch.
    - d/control,ovn-*: Drop OVN packages and related files from OVS
      packaging - OVN will be uploaded as a separate source package.
    - d/p/py3-compat.patch: Rebase.
  * Updates for OVN split out/package build:
    - d/rules: build package using dist target to ensure tarball is
      created for use by OVN build.
    - d/control,openvswitch-source.*: Add new openvswitch-source package
      to support OVN build.
  * d/openvswitch-common.install: Include ovs-fields manpage (LP: #1854033).
  * d/rules: Use master branch for snapshot generation.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jan 2020 09:47:44 +0000

openvswitch (2.12.1~git20191107.7accd1302-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
  * d/ovn-common.install: Include ovn-trace binary and manpage
    (LP: #1851517).

 -- James Page <james.page@ubuntu.com>  Tue, 12 Nov 2019 14:43:03 -0800
