=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  dh-python,
  graphviz,
  libcap-ng-dev,
- libdpdk-dev (>= 18.11.2-4~) [amd64 i386 ppc64el arm64],
+ libdpdk-dev (>= 19.11) [amd64 i386 ppc64el arm64],
  libnuma-dev [amd64 i386 ppc64el arm64],
  libpcap-dev [amd64 i386 ppc64el arm64],
  libssl-dev,
@@ -46,9 +46,9 @@
  ethtool,
  openvswitch-doc,
 Breaks:
- openvswitch-switch (<< 2.5.0~git20160122.66cd712-0ubuntu1~),
+ openvswitch-switch (<< 2.13.0~git20200212.15ae9db33-0ubuntu2~),
 Replaces:
- openvswitch-switch (<< 2.5.0~git20160122.66cd712-0ubuntu1~),
+ openvswitch-switch (<< 2.13.0~git20200212.15ae9db33-0ubuntu2~),
 Description: Open vSwitch common components
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -118,6 +118,22 @@
  openvswitch-pki provides PKI (public key infrastructure) support for
  Open vSwitch switches and controllers, reducing the risk of
  man-in-the-middle attacks on the Open vSwitch network infrastructure.
+
+Package: openvswitch-source
+Architecture: all
+Depends:
+ ${misc:Depends},
+Description: Open vSwitch source code
+ Open vSwitch is a production quality, multilayer, software-based,
+ Ethernet virtual switch. It is designed to enable massive network
+ automation through programmatic extension, while still supporting
+ standard management interfaces and protocols (e.g. NetFlow, IPFIX,
+ sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
+ to support distribution across multiple physical servers similar to
+ VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
+ .
+ This package contains the full Open vSwitch source code to support
+ use with the Open Virtual Network (OVN) build.
 
 Package: openvswitch-switch
 Architecture: linux-any
@@ -229,89 +245,6 @@
  This package provides utilities that are useful to interact with a
  VTEP-configured database and a VTEP emulator.
 
-Package: ovn-central
-Architecture: linux-any
-Depends:
- lsb-release,
- openvswitch-common (= ${binary:Version}),
- openvswitch-switch (= ${binary:Version}),
- ovn-common (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: OVN central components
- OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
- .
- ovn-central provides the userspace daemons, utilities and
- databases for OVN that is run at a central location.
-
-Package: ovn-common
-Architecture: linux-any
-Depends:
- openvswitch-common (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: OVN common components
- OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
- .
- ovn-common provides components required by other OVN packages.
-
-Package: ovn-controller-vtep
-Architecture: linux-any
-Depends:
- ovn-common (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: OVN vtep controller
- ovn-controller-vtep is the local controller daemon in
- OVN, the Open Virtual Network, for VTEP enabled physical switches.
- It connects up to the OVN Southbound database over the OVSDB protocol,
- and down to the VTEP database over the OVSDB protocol.
- .
- ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
- vtep gateways.
-
-Package: ovn-docker
-Architecture: linux-any
-Depends:
- openvswitch-common (= ${binary:Version}),
- openvswitch-switch (= ${binary:Version}),
- ovn-common (= ${binary:Version}),
- python3-openvswitch (= ${source:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Description: OVN Docker drivers
- OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
- .
- ovn-docker provides the docker drivers for OVN.
-
-Package: ovn-host
-Architecture: linux-any
-Depends:
- lsb-release,
- openvswitch-common (= ${binary:Version}),
- openvswitch-switch (= ${binary:Version}),
- ovn-common (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: OVN host components
- OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
- .
- ovn-host provides the userspace components and utilities for
- OVN that can be run on every host/hypervisor.
-
 Package: python3-openvswitch
 Architecture: all
 Section: python
@@ -324,3 +257,9 @@
  Ethernet virtual switch. It is designed to enable massive network
  automation through programmatic extension, while still supporting
  standard management interfaces and protocols (e.g. NetFlow, IPFIX,
+ sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
+ to support distribution across multiple physical servers similar to
+ VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
+ .
+ This package contains the full Python 3 bindings for Open vSwitch
+ database.
