=== debian/rules ===
--- 
+++ 
@@ -67,9 +67,10 @@
 endif # nocheck
 
 override_dh_auto_build:
-	$(MAKE) $(PARALLEL) -C _debian distdir=openvswitch
+	$(MAKE) $(PARALLEL) -C _debian dist distdir=openvswitch
+	$(MAKE) $(PARALLEL) -C _debian
 ifneq (,$(filter i386 amd64 ppc64el arm64, $(DEB_HOST_ARCH)))
-	$(MAKE) $(PARALLEL) -C _dpdk distdir=openvswitch_dpdk
+	$(MAKE) $(PARALLEL) -C _dpdk
 endif
 
 override_dh_auto_clean:
@@ -119,8 +120,8 @@
 # Helper target for creating snapshots from upstream git
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
-BRANCH=branch-2.12
-VERSION=2.12.0
+BRANCH=branch-2.13
+VERSION=2.13.0
 
 get-orig-snapshot:
 	rm -Rf openvswitch-upstream
