=== debian/control ===
--- 
+++ 
@@ -213,10 +213,6 @@
  openvswitch-pki (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- openvswitch-test (<< 2.1.2-0ubuntu3),
-Replaces:
- openvswitch-test (<< 2.1.2-0ubuntu3),
 Description: Simple controller for testing OpenFlow setups
  This controller enables OpenFlow switches that connect to it to act
  as MAC-learning Ethernet switches.  It can be used for initial
