## openvswitch 2.13.3

=== debian/changelog ===
openvswitch (2.13.3-0ubuntu0.20.10.1) groovy; urgency=medium

  [ James Page ]
  * New upstream point release (LP: #1920141, LP: #1907686):
    - d/p/*: Refresh including drop of part of patch as equivalent
      changes included in point release.
    - Dropped security patches, included in release:
      + CVE-2015-8011.patch
      + CVE-2020-27827.patch
      + CVE-2020-35498.patch
  * Add BD on libdbus-1-dev to resolve linking issues for DPDK builds due
    to changes in DPDK.
  * d/control: Set minimum version of libdpdk-dev to avoid build
    failures with 19.11.6-0ubuntu0.20.10.1.

  [ Frode Nordahl ]
  * Fix recording of FQDN/hostname on startup (LP: #1915829):
    - d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Cherry
      pick of committed upstream fix to support skip of hostname
      configuration on ovs-vswitchd/ovsdb-server startup.
    - d/openvswitch-switch.ovs-record-hostname.service: Record hostname in
      Open vSwitch after network-online.target using new systemd unit.
    - d/openvswitch-switch.ovs-vswitchd.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.ovsdb-server.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.service: Add `Also` reference to
      ovs-record-hostname.service so that the service is enabled on install.
    - d/rules: Add `ovs-record-hostname.service` to package build.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Mar 2021 08:46:06 +0000

openvswitch (2.13.1-0ubuntu1.3) groovy-security; urgency=medium

  * SECURITY UPDATE: packet parsing vulnerability
    - debian/patches/CVE-2020-35498.patch: support extra padding length in
      lib/conntrack.c, lib/dp-packet.h, lib/flow.c, tests/classifier.at.
    - CVE-2020-35498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Jan 2021 14:46:04 -0500

openvswitch (2.13.1-0ubuntu1.2) groovy-security; urgency=medium

  * SECURITY UPDATE: buffer overflow decoding malformed packets in lldp
    - debian/patches/CVE-2015-8011.patch: check lengths in lib/lldp/lldp.c.
    - CVE-2015-8011
  * SECURITY UPDATE: Externally triggered memory leak in lldp
    - debian/patches/CVE-2020-27827.patch: properly free memory in
      lib/lldp/lldp.c.
    - CVE-2020-27827

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Jan 2021 07:26:51 -0500

openvswitch (2.13.1-0ubuntu1.1) groovy; urgency=medium

  * d/openvswitch-switch.ovs*.service: Update ovs-vswitchd and ovsdb-server
    systemd unit files to use the correct environment file and environment
    variable for ovs-ctl options, /etc/default/openvswitch-switch and
    OVS_CTL_OPTS, respectively (LP: #1906280).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Dec 2020 12:34:26 -0500
