=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  dh-python,
  graphviz,
  libcap-ng-dev,
- libdpdk-dev (>= 19.11) [amd64 i386 ppc64el arm64],
+ libdbus-1-dev [amd64 i386 ppc64el arm64],
+ libdpdk-dev (>= 19.11.7-0ubuntu0.20.10.1~) [amd64 i386 ppc64el arm64],
  libnuma-dev [amd64 i386 ppc64el arm64],
  libpcap-dev [amd64 i386 ppc64el arm64],
  libssl-dev,
