## openvswitch 2.13.8

=== debian/changelog ===
openvswitch (2.13.8-0ubuntu1.4~cloud0) bionic-ussuri; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Mar 2024 23:47:34 +0000

openvswitch (2.13.8-0ubuntu1.4) focal-security; urgency=medium

  * SECURITY UPDATE: Incomplete fix for CVE-2023-5366
    - debian/patches/CVE-2023-5366-2.patch: follow Open Flow spec
      converting from OF to DP in lib/odp-util.c, tests/ofproto-macros.at,
      tests/system-traffic.at.
    - CVE-2023-5366
  * SECURITY UPDATE: vulnerable to crafted Geneve packets
    - debian/patches/CVE-2023-3966.patch: check geneve metadata length in
      lib/netdev-offload-tc.c, tests/system-offloads-traffic.at.
    - CVE-2023-3966

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 01 Mar 2024 12:59:59 -0500

openvswitch (2.13.8-0ubuntu1.3) focal-security; urgency=medium

  * SECURITY UPDATE: improper flow lookup when handling specific final stage
    flow wildcards.
    - debian/patches/CVE-2023-5366.patch: seen bits from final stage added
      into stages map to get all necessary wildcards in lib/classifier.c.
    - CVE-2023-5366

 -- Evan Caville <evan.caville@canonical.com>  Mon, 20 Nov 2023 15:38:12 +0200

openvswitch (2.13.8-0ubuntu1.2) focal-security; urgency=medium

  * SECURITY UPDATE: remote traffic denial of service via crafted packets
    with IP proto 0
    - debian/patches/CVE-2023-1668.patch: Always mask ip proto field in
      include/openvswitch/meta-flow.h, lib/meta-flow.c,
      ofproto/ofproto-dpif-xlate.c, tests/ofproto-dpif.at,
      tests/ofproto.at, tests/packet-type-aware.at.
    - CVE-2023-1668

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Apr 2023 14:58:36 -0400

openvswitch (2.13.8-0ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: issues in Organization Specific TLV
    - debian/patches/CVE-2022-433x.patch: fix bugs when parsing malformed
      AutoAttach in lib/lldp/lldp.c, tests/ofproto-dpif.at.
    - CVE-2022-4337
    - CVE-2022-4338

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Feb 2023 08:56:25 -0500

openvswitch (2.13.8-0ubuntu1) focal; urgency=medium

  * New upstream point release (LP: #1980213).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 04 Jul 2022 10:01:53 +0100

openvswitch (2.13.5-0ubuntu1) focal; urgency=medium

  * New upstream point release (LP: #1956754).
  * d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Drop,
    included in release.
  * d/p/py3-compat.patch: Refresh, various fixes included in point
    release.
  * d/p/CVE-2021-36980.patch: Drop, included in release.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jan 2022 10:57:22 +0000

openvswitch (2.13.3-0ubuntu0.20.04.2) focal-security; urgency=medium

  * SECURITY UPDATE: use-after-free in decode_NXAST_RAW_ENCAP
    - debian/patches/CVE-2021-36980.patch: get a new pointer before using
      in lib/ofp-actions.c.
    - CVE-2021-36980

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Jul 2021 13:04:37 -0400

openvswitch (2.13.3-0ubuntu0.20.04.1) focal; urgency=medium

  [ James Page ]
  * New upstream point release (LP: #1920141, LP: #1907686).
  * Dropped security patches, included in release:
    - CVE-2015-8011.patch
    - CVE-2020-27827.patch
    - CVE-2020-35498.patch
  * Add BD on libdbus-1-dev to resolve linking issues for DPDK builds due
    to changes in DPDK.
  * d/control: Set minimum version of libdpdk-dev to avoid build
    failures with 19.11.6-0ubuntu0.20.04.1.

  [ Frode Nordahl ]
  * Fix recording of FQDN/hostname on startup (LP: #1915829):
    - d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Cherry
      pick of committed upstream fix to support skip of hostname
      configuration on ovs-vswitchd/ovsdb-server startup.
    - d/openvswitch-switch.ovs-record-hostname.service: Record hostname in
      Open vSwitch after network-online.target using new systemd unit.
    - d/openvswitch-switch.ovs-vswitchd.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.ovsdb-server.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.service: Add `Also` reference to
      ovs-record-hostname.service so that the service is enabled on install.
    - d/rules: Add `ovs-record-hostname.service` to package build.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Mar 2021 08:46:41 +0000

openvswitch (2.13.1-0ubuntu0.20.04.4) focal-security; urgency=medium

  * SECURITY UPDATE: packet parsing vulnerability
    - debian/patches/CVE-2020-35498.patch: support extra padding length in
      lib/conntrack.c, lib/dp-packet.h, lib/flow.c, tests/classifier.at.
    - CVE-2020-35498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Jan 2021 14:47:58 -0500

openvswitch (2.13.1-0ubuntu0.20.04.3) focal-security; urgency=medium

  * SECURITY UPDATE: buffer overflow decoding malformed packets in lldp
    - debian/patches/CVE-2015-8011.patch: check lengths in lib/lldp/lldp.c.
    - CVE-2015-8011
  * SECURITY UPDATE: Externally triggered memory leak in lldp
    - debian/patches/CVE-2020-27827.patch: properly free memory in
      lib/lldp/lldp.c.
    - CVE-2020-27827

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Jan 2021 07:29:51 -0500

openvswitch (2.13.1-0ubuntu0.20.04.2) focal; urgency=medium

  * d/openvswitch-switch.ovs*.service: Update ovs-vswitchd and ovsdb-server
    systemd unit files to use the correct environment file and environment
    variable for ovs-ctl options, /etc/default/openvswitch-switch and
    OVS_CTL_OPTS, respectively (LP: #1906280).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Dec 2020 15:19:32 -0500

openvswitch (2.13.1-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]

