=== debian/rules ===
--- 
+++ 
@@ -107,9 +107,10 @@
 	dh_installinit --restart-after-upgrade
 	dh_installinit -popenvswitch-switch --name=ovsdb-server --no-start
 	dh_installinit -popenvswitch-switch --name=ovs-vswitchd --no-start
+	dh_installinit -popenvswitch-switch --name=ovs-record-hostname --no-start
 
 override_dh_systemd_start:
-	dh_systemd_start --restart-after-upgrade -Xovs-vswitchd.service -Xovsdb-server.service
+	dh_systemd_start --restart-after-upgrade -Xovs-vswitchd.service -Xovsdb-server.service -Xovs-record-hostname.service
 
 override_dh_strip:
 	dh_strip --dbg-package=openvswitch-dbg
