## openvswitch 2.15.0

=== debian/changelog ===
openvswitch (2.15.0-0ubuntu3.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: use-after-free in decode_NXAST_RAW_ENCAP
    - debian/patches/CVE-2021-36980.patch: get a new pointer before using
      in lib/ofp-actions.c.
    - CVE-2021-36980

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Jul 2021 13:01:47 -0400

openvswitch (2.15.0-0ubuntu3) hirsute; urgency=medium

  * d/t/{vanilla,dpdk}: mininet >=2.3 is python3

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Mar 2021 08:02:10 +0100

openvswitch (2.15.0-0ubuntu2) hirsute; urgency=medium

  * Fix recording of FQDN/hostname on startup (LP: #1915829):
    - d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Cherry
      pick of committed upstream fix to support skip of hostname
      configuration on ovs-vswitchd/ovsdb-server startup.
    - d/openvswitch-switch.ovs-record-hostname.service: Record hostname in
      Open vSwitch after network-online.target using new systemd unit.
    - d/openvswitch-switch.ovs-vswitchd.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.ovsdb-server.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.service: Add `Also` reference to
      ovs-record-hostname.service so that the service is enabled on install.
    - d/rules: Add `ovs-record-hostname.service` to package build.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 16 Feb 2021 18:42:00 +0100

openvswitch (2.15.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release 2.15

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 16 Feb 2021 14:16:55 +0100

openvswitch (2.15.0~git20210104.def6eb1ea-0ubuntu3) hirsute; urgency=medium

  * d/openvswitch-switch.ovsdb-server.service: avoid removing the state
    dir on restart (LP: #1910209)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 07 Jan 2021 12:14:35 +0000

openvswitch (2.15.0~git20210104.def6eb1ea-0ubuntu2) hirsute; urgency=medium

  * d/rules: Re-align expected test failure with test numbering on
    armhf.

 -- James Page <james.page@ubuntu.com>  Tue, 05 Jan 2021 10:11:51 +0000

openvswitch (2.15.0~git20210104.def6eb1ea-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot in preparation for 2.15.0 release.
  * d/p/*: Refresh
  * d/control: Bump minimum libdpdk-dev version to 20.11.
  * d/control: Add BD on libdbus-1-dev for pcap architectures.
  * d/rules: Set DPDK build to use shared libraries.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Jan 2021 15:59:44 +0000

openvswitch (2.14.0-0ubuntu2) hirsute; urgency=medium

  * d/openvswitch-switch.ovs*.service: Update ovs-vswitchd and ovsdb-server
    systemd unit files to use the correct environment file and environment
    variable for ovs-ctl options, /etc/default/openvswitch-switch and
    OVS_CTL_OPTS, respectively (LP: #1906280).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Dec 2020 12:34:26 -0500

openvswitch (2.14.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Nov 2020 16:42:34 +0000
