=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
 override_dh_autoreconf:
 	dh_autoreconf $(DH_AS_NEEDED)
+	patch -f --no-backup-if-mismatch -i $(CURDIR)/debian/ltmain-whole-archive.diff build-aux/ltmain.sh
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -30,7 +31,7 @@
 	cd _dpdk && ( \
 		test -e Makefile || \
         ../configure --prefix=/usr --localstatedir=/var --enable-ssl \
-                     --with-dpdk --sysconfdir=/etc \
+                     --with-dpdk=shared --sysconfdir=/etc \
 					 $(DATAPATH_CONFIGURE_OPTS))
 endif
 
@@ -40,9 +41,9 @@
 TEST_LIST_DPDK =
 
 # armhf:
-#  25: bfd - check that BFD works together with RSTP   FAILED (bfd.at:829)
+#  27: bfd - check that BFD works together with RSTP   FAILED (bfd.at:829)
 ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-25 27-
+TEST_LIST = 1-26 28-
 TEST_LIST_DPDK = $(TEST_LIST)
 endif # armhf
 
@@ -121,8 +122,8 @@
 # Helper target for creating snapshots from upstream git
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
-BRANCH=branch-2.13
-VERSION=2.13.0
+BRANCH=master
+VERSION=2.15.0
 
 get-orig-snapshot:
 	rm -Rf openvswitch-upstream
